Bug 833688 - SELinux is preventing /usr/bin/bash from 'execute_no_trans' accesses on the file /usr/lib/ld-2.15.so.
SELinux is preventing /usr/bin/bash from 'execute_no_trans' accesses on the f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:128c3c134041e4ff9ce6fe7189f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 03:11 EDT by Armando
Modified: 2012-06-30 17:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-30 17:51:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Armando 2012-06-20 03:11:35 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.2-4.fc17.i686
time:           Qua 20 Jun 2012 04:11:14 BRT

description:
:SELinux is preventing /usr/bin/bash from 'execute_no_trans' accesses on the file /usr/lib/ld-2.15.so.
:
:*****  Plugin leaks (86.2 confidence) suggests  ******************************
:
:If você quer ignorar o fato do bash estar tentando acesso execute_no_trans de ld-2.15.so file, pois você acredita que ele não deva precisar deste acesso.
:Then você precisa reportar isto como um erro.   
:Você pode gerar um módulo de política local para dontaudit este acesso.
:Do
:# grep /usr/bin/bash /var/log/audit/audit.log | audit2allow -D -M mypol
:# semodule -i mypol.pp
:
:*****  Plugin catchall (14.7 confidence) suggests  ***************************
:
:If você acredita que o bash deva ser permitido acesso de execute_no_trans em ld-2.15.so file  por default.
:Then você precisa reportar este como um erro.
:Você pode gerar um módulo de política local para permitir este acesso.
:Do
:permitir este acesso agora executando:
:# grep acroread /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:ld_so_t:s0
:Target Objects                /usr/lib/ld-2.15.so [ file ]
:Source                        acroread
:Source Path                   /usr/bin/bash
:Port                          <Desconhecido>
:Host                          (removed)
:Source RPM Packages           bash-4.2.29-1.fc17.i686
:Target RPM Packages           glibc-2.15-37.fc17.i686
:Policy RPM                    selinux-policy-3.10.0-130.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.2-4.fc17.i686 #1 SMP Thu Jun
:                              14 22:19:00 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Qua 20 Jun 2012 04:00:39 BRT
:Last Seen                     Qua 20 Jun 2012 04:00:39 BRT
:Local ID                      18f528ed-63e3-4bac-872e-cfb246d408ed
:
:Raw Audit Messages
:type=AVC msg=audit(1340175639.323:127): avc:  denied  { execute_no_trans } for  pid=2848 comm="acroread" path="/usr/lib/ld-2.15.so" dev="dm-1" ino=917516 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ld_so_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1340175639.323:127): arch=i386 syscall=execve success=no exit=EACCES a0=8443bf8 a1=8443c98 a2=8443d08 a3=8443c98 items=0 ppid=2835 pid=2848 auid=1001 uid=1001 gid=1001 euid=1001 suid=1001 fsuid=1001 egid=1001 sgid=1001 fsgid=1001 tty=(none) ses=2 comm=acroread exe=/usr/bin/bash subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: acroread,mozilla_plugin_t,ld_so_t,file,execute_no_trans
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-20 03:31:32 EDT
Fixed in selinux-policy-3.10.0-133.fc17
Comment 2 Daniel Walsh 2012-06-20 14:27:37 EDT
Do you have mozplugger installed?
Comment 3 Fedora Update System 2012-06-26 17:47:51 EDT
selinux-policy-3.10.0-134.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-134.fc17
Comment 4 Fedora Update System 2012-06-27 23:37:44 EDT
Package selinux-policy-3.10.0-134.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-134.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10008/selinux-policy-3.10.0-134.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-06-30 17:51:39 EDT
selinux-policy-3.10.0-134.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.